# API Access

The [volmex.finance API](https://api.volmex.finance/graphql) with index pricing is available below.

{% embed url="<https://api.volmex.finance/graphql>" %}

The following query can be used to pull the volatility index, asset, price of underlying, and Unix timestamp. Change the asset to view resepctive indices. &#x20;

```
query impliedVol {
  impliedVolatilitys(limit:10, offset: 0, query: {
    asset: ETH
  }, sort: "-timestamp") {
    index
    asset
    timestamp
    underlying_index
  }
}
```

Sample output from the above query:

```
{
  "data": {
    "impliedVolatilitys": [
      {
        "index": 1.1205327814475294,
        "underlying_index": 2597.08,
        "epoch": 3714,
        "timestamp": 1623729904000
      },
      {
        "index": 1.1188762043011018,
        "underlying_index": 2590.94,
        "epoch": 3713,
        "timestamp": 1623729605000
      },
      {
        "index": 1.1204085089104692,
        "underlying_index": 2592.38,
        "epoch": 3712,
        "timestamp": 1623729304000
      },
      {
        "index": 1.1235643093126018,
        "underlying_index": 2592.72,
        "epoch": 3711,
        "timestamp": 1623729004000
      },
      {
        "index": 1.1215874384348783,
        "underlying_index": 2590.78,
        "epoch": 3710,
        "timestamp": 1623728703000
      },
      {
        "index": 1.1208957517316536,
        "underlying_index": 2590.25,
        "epoch": 3709,
        "timestamp": 1623728406000
      },
      {
        "index": 1.1218123854425053,
        "underlying_index": 2592.5,
        "epoch": 3708,
        "timestamp": 1623728104000
      },
      {
        "index": 1.1223732562551632,
        "underlying_index": 2587.67,
        "epoch": 3707,
        "timestamp": 1623727805000
      },
      {
        "index": 1.123005210822689,
        "underlying_index": 2587.81,
        "epoch": 3706,
        "timestamp": 1623727504000
      },
      {
        "index": 1.1218374602435601,
        "underlying_index": 2586.45,
        "epoch": 3705,
        "timestamp": 1623727204000
      }
    ]
  }
}
```

The following query can be used with the Volmex API to determine which eight option the index is currently pointing at.&#x20;

```
query getImpliedVolatility {
  impliedVolatilitys(limit:101, offset: 0, query: {
    asset: ETH
  }, sort: "-epoch") {
    index
    underlying_index
    epoch
    asset
    linkedOrderBooks {
      underlying_index
      underlying_price
      instrument_name
      mid_price
    }
  }
}
```

Sample output from the above query:

```
{
  "data": {
    "impliedVolatilitys": [
      {
        "index": 1.2048225385936862,
        "underlying_index": 2440.33,
        "epoch": 2550,
        "asset": "ETH",
        "linkedOrderBooks": [
          {
            "underlying_index": "ETH-25JUN21",
            "underlying_price": 2423.65,
            "instrument_name": "ETH-25JUN21-2400-C",
            "mid_price": 0.09425
          },
          {
            "underlying_index": "ETH-25JUN21",
            "underlying_price": 2423.65,
            "instrument_name": "ETH-25JUN21-2400-P",
            "mid_price": 0.084
          },
          {
            "underlying_index": "ETH-25JUN21",
            "underlying_price": 2423.65,
            "instrument_name": "ETH-25JUN21-2560-C",
            "mid_price": 0.06425
          },
          {
            "underlying_index": "ETH-25JUN21",
            "underlying_price": 2423.65,
            "instrument_name": "ETH-25JUN21-2560-P",
            "mid_price": 0.12175
          },
          {
            "underlying_index": "ETH-30JUL21",
            "underlying_price": 2440.4,
            "instrument_name": "ETH-30JUL21-2400-P",
            "mid_price": 0.164
          },
          {
            "underlying_index": "ETH-30JUL21",
            "underlying_price": 2440.4,
            "instrument_name": "ETH-30JUL21-2400-C",
            "mid_price": 0.17975
          },
          {
            "underlying_index": "ETH-30JUL21",
            "underlying_price": 2440.4,
            "instrument_name": "ETH-30JUL21-2500-P",
            "mid_price": 0.187
          },
          {
            "underlying_index": "ETH-30JUL21",
            "underlying_price": 2440.4,
            "instrument_name": "ETH-30JUL21-2500-C",
            "mid_price": 0.1625
          }
        ]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://v1.docs.volmex.finance/indices/api-access.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
